Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608166 - Missing %{?_isa} - ArchSpecificRequires
Missing %{?_isa} - ArchSpecificRequires
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-25 17:03 EDT by Jan Kratochvil
Modified: 2011-06-27 14:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:57:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2010-06-25 17:03:42 EDT
Description of problem:
yum update messed up my x86_64 system with bogus i686 libraries moreover not matching versions of biarch packages.

Version-Release number of selected component (if applicable):
gnome-panel-2.30.0-1.fc13.x86_64

How reproducible:
Today's `yum update'.

Steps to Reproduce:
1. yum update
2. rpm -q gnome-panel-libs

Actual results:
Installing for dependencies:
 GConf2           i686 2.28.1-1.fc13  fedora          975 k
 ORBit2           i686 2.14.18-1.fc13 fedora          162 k
 avahi-glib       i686 0.6.25-6.fc13  fedora           19 k
 cups-libs        i686 1:1.4.4-4.fc13 updates-testing 330 k
 eggdbus          i686 0.6-2.fc13     fedora           91 k
 gnome-panel-libs i686 2.30.0-1.fc13  fedora           61 k
 gnome-vfs2       i686 2.24.3-1.fc13  fedora          794 k
 gtk2             i686 2.20.1-1.fc13  fedora          3.5 M
 hal-libs         i686 0.5.14-3.fc13  fedora           66 k
 libIDL           i686 0.8.14-1.fc13  fedora           81 k
 libart_lgpl      i686 2.3.20-5.fc12  fedora           61 k
 libbonobo        i686 2.24.2-2.fc13  fedora          403 k
 libbonoboui      i686 2.24.3-1.fc13  fedora          326 k
 libglade2        i686 2.6.4-3.fc12   fedora           57 k
 libgnome         i686 2.30.0-1.fc13  fedora          510 k
 libgnomecanvas   i686 2.30.1-1.fc13  fedora          212 k
 polkit           i686 0.96-1.fc13    fedora          156 k
gnome-panel-libs-2.30.0-2.fc13.x86_64
gnome-panel-libs-2.30.0-1.fc13.i686

Expected results:
Skipped (dependency problems):
 gnome-panel-libs x86_64 2.30.0-2.fc13 fedora
gnome-panel-libs-2.30.0-1.fc13.x86_64
gnome-panel-libs-2.30.0-1.fc13.x86_64

Additional info:
Read:
https://fedoraproject.org/wiki/PackagingDrafts/ArchSpecificRequires

Current
Requires: %{name}-libs = %{version}-%{release}
should definitely be:
Requires: %{name}-libs%{?_isa} = %{version}-%{release}
And most of the other Requires and BuildRequires there too.
Comment 1 Bug Zapper 2011-06-01 11:34:10 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2011-06-27 14:57:04 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.